[jhbuild] autogen.sh: check for make, error if not present (GNOME bug 664230)



commit 67c8cab002f58fa2563d19d579eae1d92a08f626
Author: Craig Keogh <cskeogh adam com au>
Date:   Fri Nov 18 20:08:36 2011 +1030

    autogen.sh: check for make, error if not present (GNOME bug 664230)

 autogen.sh        |    9 +++++++++
 doc/C/jhbuild.xml |    4 ++--
 2 files changed, 11 insertions(+), 2 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 7513cbc..42a770b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -35,6 +35,7 @@ PKG_NAME=jhbuild
 
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
+test -z "$MAKE" && MAKE=make
 
 setup_i18n()
 {
@@ -159,6 +160,14 @@ configure_with_autotools()
   fi
 }
 
+# Check for make. make is required to provide i18n for this script and to
+# build and install JHBuild
+hash $MAKE 2>&-
+if [ $? -ne 0 ]; then
+  echo "\`$MAKE' is required to configure & build $PKG_NAME"
+  exit 1
+fi
+
 setup_i18n
 if [ $gettext_available -ne 0 ]; then
   # If gettext is not installed fallback to echo in english
diff --git a/doc/C/jhbuild.xml b/doc/C/jhbuild.xml
index 292d6be..9f8358f 100644
--- a/doc/C/jhbuild.xml
+++ b/doc/C/jhbuild.xml
@@ -270,8 +270,8 @@
         <application>automake</application>, <application>libtool</application>
         and <application>gettext</application>), The GNU Toolchain
         (<application>binutils</application>, <application>gcc</application>,
-        <application>g++</application>), pkg-config and Python, depending on
-        which modules will be built.</para>
+        <application>g++</application>), make, pkg-config and Python, depending
+        on which modules will be built.</para>
 
       <para>JHBuild can check the tools are installed using the
         <command>sanitycheck</command> command:</para>



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]